Package org.springframework.beans.factory.annotation

# Annotation Interface Configurable

@Target(TYPE) @Retention(RUNTIME) @Inherited @Documented public @interface Configurable
Marks a class as being eligible for Spring-driven configuration.

Typically used with the AspectJ `AnnotationBeanConfigurerAspect`.

Since:
  2.0
Author:
  Rod Johnson, Rob Harrop, Adrian Colyer, Ramnivas Laddad

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Autowire`
`autowire`
Are dependencies to be injected via autowiring?
`boolean`
`dependencyCheck`
Is dependency checking to be performed for configured objects?
`boolean`
`preConstruction`
Are dependencies to be injected prior to the construction of an object?
`String`
`value`
The name of the bean definition that serves as the configuration template.

## Element Details

### value

String value
The name of the bean definition that serves as the configuration template.

Default:
  ""

### autowire

Autowire autowire
Are dependencies to be injected via autowiring?

Default:
  NO

### dependencyCheck

boolean dependencyCheck
Is dependency checking to be performed for configured objects?

Default:
  false

### preConstruction

boolean preConstruction
Are dependencies to be injected prior to the construction of an object?

Default:
  false